package com.fjhx.service.apply;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.apply.ApplyPurchase;
import com.fjhx.params.apply.ApplyPurchaseVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 申购单 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-28
 */
public interface ApplyPurchaseService extends BaseService<ApplyPurchase> {

    Page<ApplyPurchase> getPage(Map<String, Object> condition);

    void add(List<ApplyPurchase> list);

    void edit(ApplyPurchaseVo applyPurchaseVo);

    void delete(ApplyPurchaseVo applyPurchaseVo);

    /**
     * 待采购列表
     *
     * @param condition 查询条件
     * @return
     */
    Page<ApplyPurchase> stayPurchasePage(Map<String, Object> condition);

    /**
     * 根据采购ID查询
     *
     * @param purchaseId 采购ID
     * @return
     */
    List<ApplyPurchase> getByPurchaseId(Long purchaseId);
}
